Package twisted :: Package python :: Module log :: Class LogPublisher

[frames | no frames]

## Class LogPublisher

Class for singleton log message publishing.

Method Summary
| `__init__(self)`
| ``__hook_orig_twisted_python_log_LogPublisher_msg__`(self, *message, **kw)` Log a new message.
| ``addObserver`(self, other)` Add a new observer.
| `msg(*args, **kw)`
| ``removeObserver`(self, other)` Remove an observer.

Class Variable Summary
`list` | `__hook_post_twisted_python_log_LogPublisher_msg__` = `[<fu...`
`list` | `__hook_pre_twisted_python_log_LogPublisher_msg__` = `[<fun...`
`list` | `synchronized` = `['msg']`

Method Details

### __hook_orig_twisted_python_log_LogPublisher_msg__(self, *message, **kw)

Log a new message.

### addObserver(self, other)

Add a new observer.

Observers are callable objects that will be called with each new log message (a dict).

### removeObserver(self, other)

Remove an observer.

Class Variable Details

### __hook_post_twisted_python_log_LogPublisher_msg__

  Type:
    `list`
  Value:

        [<function _synchPost at 0x81d542c>]

### __hook_pre_twisted_python_log_LogPublisher_msg__

  Type:
    `list`
  Value:

        [<function _synchPre at 0x823753c>]

### synchronized

  Type:
    `list`
  Value:

        ['msg']

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net